#
# spec file for package vokoscreenNG
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           vokoscreenNG
Version:        3.0.4
Release:        lp152.1.2
Summary:        Screencast creator
License:        GPL-2.0-only
Group:          Productivity/Multimedia/Other
URL:            https://github.com/vkohaupt/vokoscreenNG
Source:         https://github.com/vkohaupt/%{name}/archive/%{version}.tar.gz
BuildRequires:  gstreamer-devel
BuildRequires:  libqt5-linguist
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)

Requires:       gstreamer >= 1.12.5
Requires:       libQt5Core5 >= 5.9.4
Requires:       pulseaudio
# Required for vorbis and opus audio
Requires:       gstreamer-plugins-base
# Required for mkv, avi, webm, mp4, vp8 video and flac audio
Requires:       gstreamer-plugins-good
# Required for x265, av1, camera
Requires:       gstreamer-plugins-bad
# Required for x264 and mp3lame
Requires:       gstreamer-plugins-ugly
# Required for x264
Recommends:     gstreamer-plugins-ugly-orig-addon
Requires:       gstreamer-plugins-libav
# Required for openh264
Recommends:     gstreamer-plugins-bad-orig-addon
# Required for H.264 and MPEG2 hardware encoding on Intel
Recommends:     gstreamer-plugins-vaapi
Recommends:     intel-vaapi-driver

Provides:       vokoscreen = %{version}
Obsoletes:      vokoscreen < %{version}

%description
vokoscreenNG is a user friendly Open Source screencaster for Linux and Windows.

%prep
%autosetup

%build
cd src
%qmake5
%make_jobs

%install
mkdir -p %{buildroot}/usr/bin/
cp src/%{name} %{buildroot}/usr/bin/
mkdir -p %{buildroot}/usr/share/applications/
cp src/applications/%{name}.desktop %{buildroot}/usr/share/applications/
mkdir -p %{buildroot}/usr/share/pixmaps/
cp src/applications/%{name}.png %{buildroot}/usr/share/pixmaps/

%files
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Apr 30 2020 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to 3.0.4
  * added faac audio codec
  * added command line options
  * fix incorrect screen resolution
  * fix folder button being unable to handle spaces in paths
  * fix broken recording when target filename contains spaces
  * fix area selector not supporting multiple monitors
  * fix frame-reset-button not being visible
  * fix visible frame in fps settings
* Tue Mar 31 2020 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to 3.0.3
  * Systray: Better icons for Pause and Continue
  * Frames: Without reset button
  * Camera: If the camera is busy, this will be displayed,
    or is not in combobox
  * Language: added Spanish(Mexico), Slovak (Slovakia)
  * Area: Adapted to Ubuntu GNOME
  * Audio: Hint if no audio devices found
  * Systray: If new version show ballon
  * Camera: Windows and Linux have now the same code base
* Tue Feb 11 2020 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to 3.0.2
  * x264: Codec requires resolution with even values
  * Audio: fix recording with only one channel
  * Webcam: fix image flipped horizontally
* Sat Feb  1 2020 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to 3.0.1
  * Player: Notification if codec or service is missing
  * x264enc: add profile=baseline
  * Select the language for the online help via a combobox
* Tue Dec 31 2019 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to 3.0.0
  * first stable release
  * complete rewrite of vokoscreen, now using gstreamer instead of
    ffmpeg
* Sun Oct 13 2019 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to 2.9.9-beta
* Mon May 20 2019 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to 2.9.8-beta
* Fri May 10 2019 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to 2.9.7-beta
- Made Requirements more specific
* Sat Apr 13 2019 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to 2.9.6-beta
* Tue Feb 19 2019 Marcel Kuehlhorn <tux93@opensuse.org>
- Initial build for Version 2.9.5-beta
